# Printservant

HTTP to IPP proxy, a.k.a. HSWAW Rube Goldberg printing microservice.

## Usage

`GET /` to see available API routes

## Quick start

Configuration available:

```
PRINTSERVANT_PORT - Port (default: 3199)
PRINTSERVANT_CONFIG - JSON config, like so:
  {
    printers: [
      {
        name: 'DYMO_LabelWriter450',
        aliases: ['dymo', 'label'],
        ipp_url: 'ipp://printmaster.waw.hackerspace.pl/printers/DYMO_LabelWriter450',
      },
      ...
    ]
  }
```


```sh
PRINTSERVANT_CONFIG=$(cat dev-config.json) node index.js
```

or:

```sh
docker build -t printservant .
docker run --env PRINTSERVANT_CONFIG=$(cat dev-config.json) -it -p 3199:3199 printservant
```
